Package com.ngrok.services

# Class SshCertificateAuthorities

java.lang.Object
com.ngrok.services.SshCertificateAuthorities

public class SshCertificateAuthorities extends Object
An SSH Certificate Authority is a pair of an SSH Certificate and its private key that can be used to sign other SSH host and user certificates. See also https://ngrok.com/docs/api#api-ssh-certificate-authorities.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SshCertificateAuthorities.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `SshCertificateAuthorities.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `SshCertificateAuthorities.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `SshCertificateAuthorities.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `SshCertificateAuthorities.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshCertificateAuthorities(NgrokApiClient apiClient)`
  Creates a new sub-client for SshCertificateAuthorities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SshCertificateAuthorities.CreateCallBuilder`
  `create()`
  Create a new SSH Certificate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-create.
  `SshCertificateAuthorities.DeleteCallBuilder`
  `delete(String id)`
  Delete an SSH Certificate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-delete.
  `SshCertificateAuthorities.GetCallBuilder`
  `get(String id)`
  Get detailed information about an SSH Certficate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-get.
  `SshCertificateAuthorities.ListCallBuilder`
  `list()`
  List all SSH Certificate Authorities on this account See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-list.
  `SshCertificateAuthorities.UpdateCallBuilder`
  `update(String id)`
  Update an SSH Certificate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SshCertificateAuthorities

    public SshCertificateAuthorities(NgrokApiClient apiClient)
    Creates a new sub-client for SshCertificateAuthorities.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public SshCertificateAuthorities.CreateCallBuilder create()
    Create a new SSH Certificate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-create.
    Returns:
      a call builder for this API call

  - ### delete

    public SshCertificateAuthorities.DeleteCallBuilder delete(String id)
    Delete an SSH Certificate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public SshCertificateAuthorities.GetCallBuilder get(String id)
    Get detailed information about an SSH Certficate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public SshCertificateAuthorities.ListCallBuilder list()
    List all SSH Certificate Authorities on this account See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-list.
    Returns:
      a call builder for this API call

  - ### update

    public SshCertificateAuthorities.UpdateCallBuilder update(String id)
    Update an SSH Certificate Authority See also https://ngrok.com/docs/api#api-ssh-certificate-authorities-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call